[android-components](../../index.md) / [mozilla.components.feature.sitepermissions](../index.md) / [SitePermissionsStorage](index.md) / [findSitePermissionsBy](./find-site-permissions-by.md)

# findSitePermissionsBy

`fun findSitePermissionsBy(origin: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`): `[`SitePermissions`](../-site-permissions/index.md)`?` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/feature/sitepermissions/src/main/java/mozilla/components/feature/sitepermissions/SitePermissionsStorage.kt#L63)

Finds all SitePermissions that match the [origin](find-site-permissions-by.md#mozilla.components.feature.sitepermissions.SitePermissionsStorage$findSitePermissionsBy(kotlin.String)/origin).

### Parameters

`origin` - the site to be used as filter in the search.